.card
  .card-header
    h5.card-title.mb-0
      = t('labels.account.change_password')

  .card-body.pt-0
    = form_tag update_password_staffs_account_path, method: :patch, remote: true,
               data: { confirm: t('confirmations.account.update_password') } do
      fieldset
        / Field: Old password
        .form-group.mb-3 class=('has-error' if staff.errors.key?(:old_password))
          label.control-label = Staff.human_attribute_name :old_password
          = password_field_tag :old_password, params[:old_password], autocomplete: 'off', id: nil,
                                              class: 'js-password-old_pasword form-control', maxlength: 255
          = error_messages_of staff, :old_password if staff.errors.key?(:old_password)

        / Field: New password
        .form-group.mb-3 class=('has-error' if staff.errors.key?(:password))
          label.control-label = Staff.human_attribute_name :password
          = password_field_tag :password, params[:password], autocomplete: 'off', id: nil,
                                          class: 'js-password-pasword form-control', maxlength: 255
          = error_messages_of staff, :password if staff.errors.key?(:password)

        / Field: New password confirmation
        .form-group.mb-3 class=('has-error' if staff.errors.key?(:password_confirmation))
          label.control-label = Staff.human_attribute_name :password_confirmation
          = password_field_tag :password_confirmation, params[:password_confirmation], autocomplete: 'off', id: nil,
                                                       class: 'js-password-pasword_confirmation form-control', maxlength: 255
          = error_messages_of staff, :password_confirmation if staff.errors.key?(:password_confirmation)

      button.btn.btn-primary type='submit'
        = t('actions.save_changes')
